[NTG-context] Ruby warnings when running texexec

Jonathan Budd jonathanbudd at gmail.com
Tue Apr 22 20:46:49 CEST 2014


Hi all

Whenever I run texexec I encounter a series of warnings from Ruby. For example, running texexec —version returns the following:

texexec --version
/usr/local/texlive/2013/texmf-dist/scripts/context/ruby/texexec.rb:688: warning: class variable access from toplevel
/usr/local/texlive/2013/texmf-dist/scripts/context/ruby/texexec.rb:695: warning: class variable access from toplevel
/usr/local/texlive/2013/texmf-dist/scripts/context/ruby/texexec.rb:702: warning: class variable access from toplevel
/usr/local/texlive/2013/texmf-dist/scripts/context/ruby/texexec.rb:703: warning: class variable access from toplevel
TeXExec | version 6.2.1 - 1997-2009 - PRAGMA ADE/POD

Is there any way to remove this warning? The warning seems to interfere with AucTeX 11.87 and prevents it from registering a successful compilation of the document.

I am running MacTeX 2013 and ruby 2.0.0p451 (2014-02-24 revision 45167) [universal.x86_64-darwin13] on a 15” MacBook Pro with OS X 10.9.2.

Kind regards


Jonathan
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 495 bytes
Desc: Message signed with OpenPGP using GPGMail
URL: <http://www.ntg.nl/pipermail/ntg-context/attachments/20140422/9b4772e4/attachment.pgp>


More information about the ntg-context mailing list